Loading...
Searching...
No Matches
SatCurveMultiplexerParams.hpp File Reference

Specification of the material parameters for the saturation function multiplexer. More...

`#include "TwoPhaseLETCurves.hpp"`
`#include "TwoPhaseLETCurvesParams.hpp"`
`#include "PiecewiseLinearTwoPhaseMaterial.hpp"`
`#include "PiecewiseLinearTwoPhaseMaterialParams.hpp"`
`#include <opm/material/common/EnsureFinalized.hpp>`
`#include <cassert>`
`#include <memory>`
`#include <stdexcept>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | Opm::SatCurveMultiplexerDispatch< ApproachArg >
struct | Opm::FrontIsSatCurveMultiplexerDispatch< Args >
struct | Opm::FrontIsSatCurveMultiplexerDispatch< SatCurveMultiplexerDispatch< Value >, Args... >
class | Opm::SatCurveMultiplexerParams< TraitsT >
| Specification of the material parameters for the saturation function multiplexer. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Enumerations

enum class | SatCurveMultiplexerApproach { PiecewiseLinear , LET }

## Variables

template<typename ... Args>
constexpr bool | Opm::FrontIsSatCurveMultiplexerDispatchV = FrontIsSatCurveMultiplexerDispatch<Args...>::value

## Detailed Description

Specification of the material parameters for the saturation function multiplexer.

See also
  SatCurveMultiplexer